% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/8_plot_volcano.R
\name{add_adjusted_pvalues}
\alias{add_adjusted_pvalues}
\title{Add adjusted pvalues}
\usage{
add_adjusted_pvalues(
  featuredt,
  method,
  fit = fits(featuredt),
  coefs = default_coefs(featuredt, fit = fit),
  verbose = TRUE
)
}
\arguments{
\item{featuredt}{fdt(object)}

\item{method}{'fdr', 'bonferroni', ... (see `p.adjust.methods`)}

\item{fit}{'limma', 'lm', 'lme', 'lmer'}

\item{coefs}{coefficient (string)}

\item{verbose}{TRUE or FALSE}
}
\value{
SummarizedExperiment
}
\description{
Add adjusted pvalues
}
\examples{
file <- system.file('extdata/fukuda20.proteingroups.txt', package = 'autonomics')
object <- read_maxquant_proteingroups(file)
fdt(object) \%<>\% extract(, 1:2)
object \%<>\% fit_limma(coef = 'Adult-X30dpt')
object \%<>\% extract(order(fdt(.)$`p~Adult-X30dpt~limma`), )
 fdt(object)
(fdt(object) \%<>\% add_adjusted_pvalues('fdr'))
(fdt(object) \%<>\% add_adjusted_pvalues('fdr'))      # smart enough not to add second column
(fdt(object) \%>\% add_adjusted_pvalues('bonferroni'))
}
