% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/8_plot_volcano.R
\name{default_coefs}
\alias{default_coefs}
\alias{default_coefs.data.table}
\alias{default_coefs.SummarizedExperiment}
\title{Get default coefs}
\usage{
default_coefs(object, ...)

\method{default_coefs}{data.table}(object, fit = fits(object), ...)

\method{default_coefs}{SummarizedExperiment}(object, fit = fits(object), ...)
}
\arguments{
\item{object}{data.table or SummarizedExperiment}

\item{...}{S3 dispatch}

\item{fit}{'limma', 'lm', 'lme', 'lmer', 'wilcoxon'}
}
\value{
character
}
\description{
Get default coefs
}
\examples{
file <- system.file('extdata/atkin.metabolon.xlsx', package = 'autonomics')
object <- read_metabolon(file)
object \%<>\% fit_limma()
default_coefs(object)
}
