% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/6_transform.R
\name{explore_transformations}
\alias{explore_transformations}
\title{Explore transformations}
\usage{
explore_transformations(
  object,
  subgroupvar = "subgroup",
  transformations = c("quantnorm", "vsn", "zscore", "invnorm"),
  method = "pca",
  xdim = 1,
  ydim = 2,
  ...
)
}
\arguments{
\item{object}{SummarizedExperiment}

\item{subgroupvar}{string}

\item{transformations}{vector}

\item{method}{'pca', 'pls', 'sma', or 'lda'}

\item{xdim}{number (default 1)}

\item{ydim}{number (default 2)}

\item{...}{passed to plot_data}
}
\value{
grid object
}
\description{
Explore transformations
}
\examples{
file <- system.file('extdata/billing19.proteingroups.txt', package = 'autonomics')
subgroups <- sprintf('\%s_STD', c('E00','E01','E02','E05','E15','E30','M00'))
object <- read_maxquant_proteingroups(file, subgroups = subgroups)
explore_transformations(object, transformations = c('quantnorm', 'zscore', 'invnorm'))
}
