% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/1_assertions.R
\name{is_correlation_matrix}
\alias{is_correlation_matrix}
\alias{assert_correlation_matrix}
\title{Assert correlation matrix}
\usage{
is_correlation_matrix(
  x,
  .xname = get_name_in_parent(x),
  severity = getOption("assertive.severity", "stop")
)

assert_correlation_matrix(x, .xname = get_name_in_parent(x))
}
\arguments{
\item{x}{correlation matrix}

\item{.xname}{string}

\item{severity}{'warning' or 'stop'}
}
\value{
TRUE or false
}
\description{
Assert correlation matrix
}
\examples{
x <- matrix(c(1,0.7, 0.3, 1), nrow = 2)
rownames(x) <- c('gene1', 'gene2')
colnames(x) <- c('gene1', 'gene2')
is_correlation_matrix(x)
is_correlation_matrix({x[1,1] <- -2; x})
}
