% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/3.1_read_rnaseq.R
\name{log2counts}
\alias{log2counts}
\alias{log2counts,SummarizedExperiment-method}
\alias{log2counts<-}
\alias{log2counts<-,SummarizedExperiment,matrix-method}
\alias{log2counts<-,SummarizedExperiment,numeric-method}
\title{Get/Set log2counts}
\usage{
log2counts(object)

\S4method{log2counts}{SummarizedExperiment}(object)

log2counts(object) <- value

\S4method{log2counts}{SummarizedExperiment,matrix}(object) <- value

\S4method{log2counts}{SummarizedExperiment,numeric}(object) <- value
}
\arguments{
\item{object}{SummarizedExperiment}

\item{value}{log2count matrix (features x samples)}
}
\value{
log2count matrix (get) or updated object (set)
}
\description{
Get / Set log2counts matrix
}
\examples{
file <- system.file('extdata/billing19.rnacounts.txt', package = 'autonomics')
object <- read_rnaseq_counts(file)
log2counts(object)[1:3, 1:3]
log2counts(object) <- values(object)
}
