% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/4_plot.R
\name{order_on_p}
\alias{order_on_p}
\alias{order_on_effect}
\title{Order on p}
\usage{
order_on_p(
  object,
  fit = autonomics::fits(object),
  coefs = autonomics::coefs(object, fit = fit),
  combiner = "|",
  verbose = TRUE
)

order_on_effect(
  object,
  fit = autonomics::fits(object),
  coefs = autonomics::coefs(object, fit = fit),
  combiner = "|",
  verbose = TRUE
)
}
\arguments{
\item{object}{SummarizedExperiment}

\item{fit}{string vector: subset of `fits(object)`}

\item{coefs}{string vector: subset of `coefs(object)`}

\item{combiner}{'|' or '&'}

\item{verbose}{TRUE or FALSE}
}
\value{
SummarizedExperiment
}
\description{
Order on p
}
\examples{
# Read
  file <- system.file('extdata/atkin.metabolon.xlsx', package = 'autonomics')
  object <- read_metabolon(file)
  order_on_p(object)
  order_on_p(fit_limma(object), coefs = c('t1-t0', 't2-t0', 't3-t0'))
}
