% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/7_impute.R
\name{zero_to_na}
\alias{zero_to_na}
\alias{nan_to_na}
\alias{na_to_zero}
\alias{inf_to_na}
\alias{minusinf_to_na}
\alias{na_to_string}
\title{Change nondetect representation}
\usage{
zero_to_na(x, verbose = FALSE)

nan_to_na(x, verbose = FALSE)

na_to_zero(x, verbose = FALSE)

inf_to_na(x, verbose = FALSE)

minusinf_to_na(x, verbose = FALSE)

na_to_string(x)
}
\arguments{
\item{x}{matrix}

\item{verbose}{logical(1)}
}
\value{
Updated matrix
}
\description{
Change nondetect representation
}
\examples{
matrix(c(0, 7), nrow=1)
matrix(c(0, 7), nrow=1)    \%>\% zero_to_na(verbose=TRUE)

matrix(c(NA, 7), nrow=1)
matrix(c(NA, 7), nrow=1)   \%>\% na_to_zero(verbose=TRUE)

matrix(c(NaN, 7), nrow=1)
matrix(c(NaN, 7), nrow=1)  \%>\% nan_to_na(verbose=TRUE)

matrix(c(Inf, 7), nrow=1)
matrix(c(Inf, 7), nrow=1)  \%>\% inf_to_na(verbose=TRUE)

matrix(c(-Inf, 7), nrow=1)
matrix(c(-Inf, 7), nrow=1) \%>\% minusinf_to_na(verbose=TRUE)
}
